package com.mortals.xhx.module.pubdatum.model;

import java.util.List;
import com.mortals.xhx.module.pubdatum.model.PubdatumEntity;
/**
 * 事项材料公共库查询对象
 *
 * @author zxfei
 * @date 2022-11-17
 */
public class PubdatumQuery extends PubdatumEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 事项matter id */
    private Long matterIdStart;

    /** 结束 事项matter id */
    private Long matterIdEnd;

    /** 增加 事项matter id */
    private Long matterIdIncrement;

    /** 事项matter id列表 */
    private List <Long> matterIdList;

    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 材料名 */
    private List<String> materialNameList;

    /** 材料全名 */
    private List<String> materiaFullNameList;

    /** 开始 填单次数 */
    private Integer totalStart;

    /** 结束 填单次数 */
    private Integer totalEnd;

    /** 增加 填单次数 */
    private Integer totalIncrement;

    /** 填单次数列表 */
    private List <Integer> totalList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 样表名称 */
    private List<String> sampleNameList;

    /** 样表地址 */
    private List<String> samplePathList;

    /** 样表预览地址 */
    private List<String> preViewPathList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PubdatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PubdatumQuery> andConditionList;

    public PubdatumQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 事项matter id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项matter id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项matter id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项matter id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项matter id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项matter id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项matter id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项matter id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 开始 部门ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门编号
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
     * 获取 材料名
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
     * 获取 材料全名
     * @return materiaFullNameList
     */
    public List<String> getMateriaFullNameList(){
        return this.materiaFullNameList;
    }

    /**
     * 设置 材料全名
     * @param materiaFullNameList
     */
    public void setMateriaFullNameList(List<String> materiaFullNameList){
        this.materiaFullNameList = materiaFullNameList;
    }
    /**
     * 获取 开始 填单次数
     * @return totalStart
     */
    public Integer getTotalStart(){
        return this.totalStart;
    }

    /**
     * 设置 开始 填单次数
     * @param totalStart
     */
    public void setTotalStart(Integer totalStart){
        this.totalStart = totalStart;
    }

    /**
     * 获取 结束 填单次数
     * @return $totalEnd
     */
    public Integer getTotalEnd(){
        return this.totalEnd;
    }

    /**
     * 设置 结束 填单次数
     * @param totalEnd
     */
    public void setTotalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
    }

    /**
     * 获取 增加 填单次数
     * @return totalIncrement
     */
    public Integer getTotalIncrement(){
        return this.totalIncrement;
    }

    /**
     * 设置 增加 填单次数
     * @param totalIncrement
     */
    public void setTotalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
    }

    /**
     * 获取 填单次数
     * @return totalList
     */
    public List<Integer> getTotalList(){
        return this.totalList;
    }

    /**
     * 设置 填单次数
     * @param totalList
     */
    public void setTotalList(List<Integer> totalList){
        this.totalList = totalList;
    }

    /**
     * 获取 开始 排序
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 样表名称
     * @return sampleNameList
     */
    public List<String> getSampleNameList(){
        return this.sampleNameList;
    }

    /**
     * 设置 样表名称
     * @param sampleNameList
     */
    public void setSampleNameList(List<String> sampleNameList){
        this.sampleNameList = sampleNameList;
    }
    /**
     * 获取 样表地址
     * @return samplePathList
     */
    public List<String> getSamplePathList(){
        return this.samplePathList;
    }

    /**
     * 设置 样表地址
     * @param samplePathList
     */
    public void setSamplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
    }
    /**
     * 获取 样表预览地址
     * @return preViewPathList
     */
    public List<String> getPreViewPathList(){
        return this.preViewPathList;
    }

    /**
     * 设置 样表预览地址
     * @param preViewPathList
     */
    public void setPreViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public PubdatumQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public PubdatumQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public PubdatumQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public PubdatumQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public PubdatumQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  事项matter id
     * @param matterId
     */
    public PubdatumQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项matter id
     * @param matterIdStart
     */
    public PubdatumQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项matter id
     * @param matterIdEnd
     */
    public PubdatumQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项matter id
     * @param matterIdIncrement
     */
    public PubdatumQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项matter id
     * @param matterIdList
     */
    public PubdatumQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置  部门ID
     * @param deptId
     */
    public PubdatumQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public PubdatumQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public PubdatumQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public PubdatumQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public PubdatumQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }


    /**
     * 设置 部门编号
     * @param deptCode
     */
    public PubdatumQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public PubdatumQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public PubdatumQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public PubdatumQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 材料名
     * @param materialName
     */
    public PubdatumQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public PubdatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }


    /**
     * 设置 材料全名
     * @param materiaFullName
     */
    public PubdatumQuery materiaFullName(String materiaFullName){
        setMateriaFullName(materiaFullName);
        return this;
    }

    /**
     * 设置 材料全名
     * @param materiaFullNameList
     */
    public PubdatumQuery materiaFullNameList(List<String> materiaFullNameList){
        this.materiaFullNameList = materiaFullNameList;
        return this;
    }

    /**
     * 设置  填单次数
     * @param total
     */
    public PubdatumQuery total(Integer total){
        setTotal(total);
        return this;
    }

    /**
     * 设置 开始 填单次数
     * @param totalStart
     */
    public PubdatumQuery totalStart(Integer totalStart){
        this.totalStart = totalStart;
        return this;
    }

    /**
     * 设置 结束 填单次数
     * @param totalEnd
     */
    public PubdatumQuery totalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
        return this;
    }

    /**
     * 设置 增加 填单次数
     * @param totalIncrement
     */
    public PubdatumQuery totalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
        return this;
    }

    /**
     * 设置 填单次数
     * @param totalList
     */
    public PubdatumQuery totalList(List<Integer> totalList){
        this.totalList = totalList;
        return this;
    }

    /**
     * 设置  排序
     * @param sort
     */
    public PubdatumQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public PubdatumQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public PubdatumQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public PubdatumQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public PubdatumQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }


    /**
     * 设置 样表名称
     * @param sampleName
     */
    public PubdatumQuery sampleName(String sampleName){
        setSampleName(sampleName);
        return this;
    }

    /**
     * 设置 样表名称
     * @param sampleNameList
     */
    public PubdatumQuery sampleNameList(List<String> sampleNameList){
        this.sampleNameList = sampleNameList;
        return this;
    }


    /**
     * 设置 样表地址
     * @param samplePath
     */
    public PubdatumQuery samplePath(String samplePath){
        setSamplePath(samplePath);
        return this;
    }

    /**
     * 设置 样表地址
     * @param samplePathList
     */
    public PubdatumQuery samplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
        return this;
    }


    /**
     * 设置 样表预览地址
     * @param preViewPath
     */
    public PubdatumQuery preViewPath(String preViewPath){
        setPreViewPath(preViewPath);
        return this;
    }

    /**
     * 设置 样表预览地址
     * @param preViewPathList
     */
    public PubdatumQuery preViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PubdatumQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PubdatumQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PubdatumQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PubdatumQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PubdatumQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PubdatumQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PubdatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PubdatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PubdatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}